from collections import deque


def sum_of_many_maxes(seq, cnt, seq_sum):
    if cnt >= len(seq):
        return seq_sum
    res = [-10**20 for _ in range(cnt)]
    for i in seq:
        for j in range(cnt):
            if i > res[j]:
                res[j] = i
    return sum(res)


n, k = map(int, input().split())
gitfs = list(map(int, input().split()))
max_gifts = -10**20
mem = deque()
for r in range(1, n + 1):
    sum_ = sum(gitfs[:r:])
    mem.append(sum_)
    if r < k:
        continue
    if sum_ > max_gifts:
        sum_ -= sum_of_many_maxes(gitfs[:r:], k, sum_)
        if sum_ > max_gifts:
            max_gifts = sum_

for l in range(1, n):
    for r in range(l + k + 1, n + 1):
        sum_ =  mem[r - 1] - mem[l - 1]
        if sum_ > max_gifts:
            sum_ -= sum_of_many_maxes(gitfs[l:r:], k, sum_)
            if sum_ > max_gifts:
                max_gifts = sum_

print(max_gifts)
