#include <stdio.h>
#include <string.h>
#include <inttypes.h>


size_t arr_sum(int64_t * array, size_t size)
{
    size_t sum = 0;
    for (int64_t * el = array; el < array + size; ++el)
    {
        sum += *el;
    }
    return sum;
}

void arr_els_move(int64_t * array, size_t size, int64_t k)
{
    k %= size;
    int64_t tmparr[k];
    memcpy(tmparr, array + (size - k), k * sizeof(int64_t));
    memcpy(array + k, array, (size - k) * sizeof(int64_t));
    memcpy(array, tmparr, k * sizeof(int64_t));
}


int main(void)
{
    size_t n, q;
    scanf("%zi", &n);
    int64_t nums[n];
    for (int64_t * el = nums; el < nums + n; ++el)
    {
        scanf("%" SCNd64, el);
    }
    size_t nums_sum = arr_sum(nums, n);
    scanf("%zi", &q);
    int64_t type, i, x, k, old;
    for (size_t _ = 0; _ < q; ++_)
    {
        scanf("%" SCNd64, &type);
        if (type == 1)
        {
            scanf("%" SCNd64 " %" SCNd64, &i, &x);
            --i;
            old = nums[i];
            nums[i] = x;
            nums_sum += x - old;
            printf("%" PRId64 "\n", nums_sum);
        }
        else
        {
            scanf("%" SCNd64, &k);
            arr_els_move(nums, n, k);
            printf("%" PRId64 "\n", nums_sum);
        }
    }
}