#include <stdio.h>
#include <inttypes.h>


#define MAX_DIST (int64_t)1000000000


int main(void)
{
    size_t n, f;
    scanf("%zu %zu", &n, &f);
    int64_t dists[n];
    if (f == 1)
    {
        for (int64_t * el = dists; el < dists + n; ++el)
        {
            scanf("%" SCNd64, el);
        }
    }
    else
    {
        int64_t m, x, y, z;
        scanf("%" SCNd64 " %" SCNd64 " %" SCNd64 " %" SCNd64, &m, &x, &y, &z);
        for (int64_t * el = dists; el < dists + m; ++el)
        {
            scanf("%" SCNd64, el);
        }
        for (size_t i = m; i < n; ++i)
        {
            dists[i] = ((x * dists[i - 2] + y * dists[i - 1] + z) % MAX_DIST) + 1;
        }
    }
    int64_t min_abil = __INT64_MAX__, min_start_dist_index, start_dist, _min_abil, _now_abil;
    size_t i;
    for (size_t start_dist_index = 0; start_dist_index < n; ++start_dist_index)
    {
        _min_abil = dists[start_dist_index];
        _now_abil = dists[start_dist_index];
        for (size_t _i = (start_dist_index + 1) % n; _i < n + start_dist_index + 1; ++_i)
        {
            i = _i % n;
            _now_abil += 1;
            if (dists[i] > _now_abil)
            {
                _min_abil += dists[i] - _now_abil;
                _now_abil = dists[i];
            }
        }
        if (_min_abil < min_abil)
        {
            min_abil = _min_abil;
            min_start_dist_index = start_dist_index;
        }
    }
    printf("%" PRId64 " %" PRId64, min_abil, min_start_dist_index + 1);
}