#include <stdio.h>
#include <inttypes.h>


#define MAX_DIST (int64_t)1000000000


int main(void)
{
    size_t n, f;
    scanf("%zu %zu", &n, &f);
    int64_t dists[n];
    if (f == 1)
    {
        for (int64_t * el = dists; el < dists + n; ++el)
        {
            scanf("%" SCNd64, el);
        }
    }
    else
    {
        int64_t m, x, y, z;
        scanf("%" SCNd64 " %" SCNd64 " %" SCNd64 " %" SCNd64, &m, &x, &y, &z);
        for (int64_t * el = dists; el < dists + m; ++el)
        {
            scanf("%" SCNd64, el);
        }
        for (size_t i = m; i < n; ++i)
        {
            dists[i] = ((x * dists[i - 2] + y * dists[i - 1] + z) % MAX_DIST) + 1;
        }
    }
    int64_t start_dist, min_abil, now_abil;
    min_abil = dists[0];
    now_abil = dists[0];
    for (size_t i = 1; i < n; ++i)
    {
        now_abil += 1;
        if (dists[i] > now_abil)
        {
            min_abil += dists[i] - now_abil;
            now_abil = dists[i];
        }
    }
    printf("%" PRId64 " %" PRId64, min_abil, 1);
}