from math import gcd
from collections import deque


class RationalNum:
    up: int
    down: int
    val: float

    def __init__(self, up: int, down: int) -> None:
        _gcd = gcd(up, down)
        self.up = up // _gcd
        self.down = down // _gcd
        self.val = up / down


n, q = map(int, input().split())
nums = deque(maxlen=n**2)
A = list(map(int, input().split()))
for b in map(int, input().split()):
    nums.extend([RationalNum(a, b) for a in A])
nums = sorted(nums, key=lambda el: el.val)
idxs = list(map(int, input().split()))

for i in idxs:
    el = nums[i-1]
    print(el.up, el.down)
